## kfilemetadata-kf5 5.116.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.116.0") # handled by release scripts
set(KF_DEP_VERSION "5.116.0") # handled by release scripts
project(KFileMetaData VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.116.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(CheckStructHasMember)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KFILEMETADATA
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kfilemetadata_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5FileMetaDataConfigVersion.cmake"
                  SOVERSION 3)

# Dependencies
set(REQUIRED_QT_VERSION 5.15.2)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG COMPONENTS Gui)
set_package_properties(Qt${QT_MAJOR_VERSION}Gui PROPERTIES DESCRIPTION "Qt${QT_MAJOR_VERSION}: Gui component"
                       TYPE OPTIONAL
                       PURPOSE "Qt${QT_MAJOR_VERSION}::Gui is needed to build the AppImage extractor")

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Xml)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()

find_package(KF5 ${KF_DEP_VERSION} COMPONENTS Archive)
set_package_properties(KF5Archive PROPERTIES DESCRIPTION "KDE Frameworks 5: Archive Framework"
                       URL "https://download.kde.org/stable/frameworks/" TYPE OPTIONAL
                       PURPOSE "Archive is needed to build ODF and OOXML 2007 extractors")

find_package(KF5 ${KF_DEP_VERSION} COMPONENTS CoreAddons)
set_package_properties(KF5CoreAddons PROPERTIES DESCRIPTION "KDE Frameworks 5: Core Addons Framework"
                       URL "https://download.kde.org/stable/frameworks/" TYPE REQUIRED
                       PURPOSE "Needed for the formatting of properties for display purposes")

find_package(KF5 ${KF_DEP_VERSION} COMPONENTS Config)
set_package_properties(KF5Config PROPERTIES DESCRIPTION "KDE Frameworks 5: Config Framework"
                       URL "https://download.kde.org/stable/frameworks/" TYPE OPTIONAL
                       PURPOSE "Config is needed to build the AppImage extractor")

find_package(KF5 ${KF_DEP_VERSION} REQUIRED COMPONENTS I18n)

find_package(Poppler 0.12.1 COMPONENTS Qt${QT_MAJOR_VERSION})
set_package_properties(Poppler PROPERTIES DESCRIPTION "A PDF rendering library"
                       URL "https://poppler.freedesktop.org/" TYPE OPTIONAL
                       PURPOSE "Support for PDF files")

find_package(Taglib 1.11.1)
set_package_properties(Taglib PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Support for music metadata")

find_package(LibExiv2 0.26)
set_package_properties(LibExiv2 PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Support for image metadata")

find_package(FFmpeg 57.48 COMPONENTS AVCODEC)
if (AVCODEC_FOUND)
    find_package(FFmpeg 57.40 COMPONENTS AVFORMAT)
    if (AVFORMAT_FOUND)
        find_package(FFmpeg 55.27 COMPONENTS AVUTIL)
    endif()
endif()
set_package_properties(FFmpeg PROPERTIES DESCRIPTION "Video Tag reader"
                       URL "https://ffmpeg.org/" TYPE OPTIONAL
                       PURPOSE "Support for video metadata")

find_package(EPub)
set_package_properties(EPub PROPERTIES DESCRIPTION "Ebook epub reader"
                       URL "https://sourceforge.net/projects/ebook-tools/" TYPE OPTIONAL
                       PURPOSE "Support for epub metadata")

find_package(CatDoc)
set_package_properties(CatDoc PROPERTIES DESCRIPTION "catdoc executable"
                       URL "https://www.wagner.pp.ru/~vitus/software/catdoc/" TYPE RUNTIME
                       PURPOSE "Extract text from office 98 files - RUNTIME dependency")

if ( CMAKE_SYSTEM_NAME MATCHES "Linux" )
    find_package(Xattr)
    set_package_properties(Xattr PROPERTIES DESCRIPTION "library libattr "
        URL "https://savannah.nongnu.org/projects/attr"
        TYPE REQUIRED
        PURPOSE "Extended attribute shared library")
endif()

find_package(QMobipocket 2.0)
set_package_properties(QMobipocket PROPERTIES DESCRIPTION "Mobipocket epub reader"
                       URL "https://invent.kde.org/graphics/kdegraphics-mobipocket"
                       TYPE OPTIONAL PURPOSE "Support for mobi metadata")

find_package(libappimage 0.1.10 CONFIG)
set_package_properties(libappimage PROPERTIES DESCRIPTION "Core library of the AppImage project"
                       URL "https://github.com/AppImage/libappimage"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the AppImage extractor"
                       )

ecm_set_disabled_deprecation_versions(
    QT 5.14.0 # TODO look into the QMap::insertMulti usage
    KF 5.97
)

add_definitions(-DTRANSLATION_DOMAIN=\"kfilemetadata5\")
add_subdirectory(src)
if (BUILD_TESTING)
  add_subdirectory(autotests)
  add_subdirectory(tests)
endif()

# Config files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5FileMetaData")

ki18n_install(po)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5FileMetaData_QCH
        FILE KF5FileMetaDataQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5FileMetaDataQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5FileMetaDataConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5FileMetaDataConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5FileMetaDataConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5FileMetaDataConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT devel
)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kfilemetadata_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KFileMetaData COMPONENT Devel
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

find_package(Python3 COMPONENTS Interpreter)
set_package_properties(Python3 PROPERTIES DESCRIPTION "Python Interpreter"
                       URL "https://www.python.org" TYPE OPTIONAL
                       PURPOSE "Python interpreter is required for testing external extractors and writers")

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

configure_file(indexerextractortestsconfig.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/indexerextractortestsconfig.h @ONLY)


set(KfileMetaDataAutotest_SRCS)
ecm_qt_declare_logging_category(KfileMetaDataAutotest_SRCS
    HEADER kfilemetadata_debug.h
    IDENTIFIER KFILEMETADATA_LOG
    CATEGORY_NAME kf.filemetadata
)


#
# Test case coverage
#
set(extractorcoverage_SRCS
  extractorcoveragetest.cpp
)

ecm_add_test(${extractorcoverage_SRCS}
    TEST_NAME "extractorcoveragetest"
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::FileMetaData
)

#
# Full text extraction test
#
set(indexerextractor_SRCS
  indexerextractortests.cpp
  ../src/extractors/plaintextextractor.cpp
)

set(text_COMPAT_CODEC)
if (TARGET Qt6::Core5Compat)
    set(text_COMPAT_CODEC Qt6::Core5Compat)
endif()
ecm_add_test(${indexerextractor_SRCS}
    TEST_NAME "indexextractortest"
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::FileMetaData ${text_COMPAT_CODEC}
)

#
# Office
#
if(KF5Archive_FOUND)
    ecm_add_test(odfextractortest.cpp ../src/extractors/odfextractor.cpp
        TEST_NAME "odfextractortest"
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::Xml KF5::FileMetaData KF5::Archive
    )
endif()

if(KF5Archive_FOUND)
    ecm_add_test(office2007extractortest.cpp ../src/extractors/office2007extractor.cpp
        TEST_NAME "officeextractortest"
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::Xml KF5::FileMetaData KF5::Archive
    )
endif()

#
# Poppler
#
if(Poppler_Qt${QT_MAJOR_VERSION}_FOUND)
    ecm_add_test(popplerextractortest.cpp ../src/extractors/popplerextractor.cpp
        TEST_NAME "popplerextractortest"
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::FileMetaData Poppler::Qt${QT_MAJOR_VERSION}
    )
endif()

#
# EPub
#
if(EPUB_FOUND)
    include_directories(${EPUB_INCLUDE_DIR})

    ecm_add_test(
        epubextractortest.cpp
	../src/extractors/epubextractor.cpp
	../src/kfilemetadata_debug.cpp
        TEST_NAME "epubextractortest"
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::FileMetaData ${EPUB_LIBRARIES}
    )
endif()

#
# Mobi
#
if (QMobipocket_FOUND)
    ecm_add_test(mobiextractortest.cpp ../src/extractors/mobiextractor.cpp
        TEST_NAME "mobiextractortest"
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::FileMetaData qmobipocket
    )
endif()

#
# FictionBook2
#
if(KF5Archive_FOUND)
    ecm_add_test(
        fb2extractortest.cpp
        ../src/extractors/fb2extractor.cpp
        ../src/kfilemetadata_debug.cpp
        TEST_NAME "fb2extractortest"
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::Archive KF5::FileMetaData
    )
endif()

#
# Property Info
#
add_executable(propertyinfotest_bin propertyinfotest.cpp)
target_link_libraries(propertyinfotest_bin
    Qt${QT_MAJOR_VERSION}::Test
    KF5::FileMetaData
)
ecm_mark_as_test(propertyinfotest_bin)
ecm_mark_nongui_executable(propertyinfotest_bin)
# Run the benchmark with just 1 iteration, so we known it works
add_test(NAME propertyinfotest_en COMMAND propertyinfotest_bin "-iterations" "1")
add_test(NAME propertyinfotest_localized COMMAND propertyinfotest_bin "--localized" "-iterations" "1")

#
# Exiv2
#
if(LibExiv2_FOUND)
    kde_enable_exceptions()
    ecm_add_test(exiv2extractortest.cpp ../src/extractors/exiv2extractor.cpp
        TEST_NAME "exiv2extractortest"
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::FileMetaData LibExiv2::LibExiv2
    )
    if (${LibExiv2_VERSION} VERSION_LESS 0.28.0)
	# exiv2 0.27.x still uses std::auto_ptr, which is incompatible with C++17
        set_target_properties(kfilemetadata_exiv2extractor PROPERTIES CXX_STANDARD 14)
    endif()
    target_include_directories(exiv2extractortest PRIVATE ${CMAKE_BINARY_DIR}/src/extractors)
endif()

#
# FFMPEG
#
if(FFMPEG_FOUND)
    kde_enable_exceptions()
    ecm_add_test(
        ffmpegextractortest.cpp
        ../src/extractors/ffmpegextractor.cpp
        ../src/kfilemetadata_debug.cpp
        TEST_NAME "ffmpegextractortest"
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::FileMetaData ${AVCODEC_LIBRARIES} ${AVFORMAT_LIBRARIES} ${AVUTIL_LIBRARIES}
    )
    target_include_directories(ffmpegextractortest SYSTEM PRIVATE ${AVCODEC_INCLUDE_DIRS} ${AVFORMAT_INCLUDE_DIRS} ${AVUTIL_INCLUDE_DIRS})
endif()

#
# TagLib
#
if(Taglib_FOUND)
    kde_enable_exceptions()
    ecm_add_test(taglibextractortest.cpp ../src/extractors/taglibextractor.cpp ${KfileMetaDataAutotest_SRCS}
        TEST_NAME "taglibextractortest"
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::FileMetaData Taglib::Taglib
    )
endif()


if(TARGET Python3::Interpreter AND NOT WIN32)
    # Test relies on working she-bang, which does non exist on Windows
    configure_file(samplefiles/testexternalextractor/main.py samplefiles/testexternalextractor/main.py)
    configure_file(samplefiles/testexternalextractor/manifest.json samplefiles/testexternalextractor/manifest.json COPYONLY)

    ecm_add_test(externalextractortest.cpp $<$<BOOL:${BUILD_SHARED_LIBS}>:../src/externalextractor.cpp> ${KfileMetaDataAutotest_SRCS}
            TEST_NAME "externalextractortest"
            LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::FileMetaData KF5::I18n
    )
endif()

#
# Collection
#
set(extractorcollection_SRCS
    extractorcollectiontest.cpp
)

ecm_add_test(${extractorcollection_SRCS}
        TEST_NAME "extractorcollectiontest"
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::FileMetaData
)

if(Taglib_FOUND)
    set(writercollection_SRCS
        writercollectiontest.cpp
    )

    ecm_add_test(${writercollection_SRCS}
            TEST_NAME "writercollectiontest"
            LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::FileMetaData
    )
endif()

#
# XML
#
set(xmlextractor_SRCS
    xmlextractortest.cpp
    ../src/extractors/xmlextractor.cpp
    ../src/extractors/dublincoreextractor.cpp
    ../src/kfilemetadata_debug.cpp
)

ecm_add_test(${xmlextractor_SRCS}
        TEST_NAME "xmlextractortest"
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::Xml KF5::FileMetaData
)

#
# Postscript DSC
#
set(postscriptdscextractor_SRCS
    postscriptdscextractortest.cpp
    ../src/extractors/postscriptdscextractor.cpp
    ../src/kfilemetadata_debug.cpp
)

ecm_add_test(${postscriptdscextractor_SRCS}
        TEST_NAME "postscriptdscextractortest"
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::FileMetaData
)

#
# AppImage
#
if(libappimage_FOUND AND KF5Config_FOUND AND Qt${QT_MAJOR_VERSION}Gui_FOUND)
    ecm_add_test(appimageextractortest.cpp ../src/extractors/appimageextractor.cpp
        TEST_NAME "appimageextractortest"
        LINK_LIBRARIES
            Qt${QT_MAJOR_VERSION}::Test
            KF5::FileMetaData
            KF5::ConfigCore
            Qt${QT_MAJOR_VERSION}::Xml
            Qt${QT_MAJOR_VERSION}::Gui
            libappimage
    )
endif()

#
# PNG
#
ecm_add_test(pngextractortest.cpp ../src/extractors/pngextractor.cpp
    TEST_NAME "pngextractortest"
    LINK_LIBRARIES
        Qt${QT_MAJOR_VERSION}::Test
        KF5::FileMetaData
        Qt${QT_MAJOR_VERSION}::Gui
)


################
# Writer tests #
################

#
# UserMetaData
#
if(UNIX)
    kde_enable_exceptions()
    ecm_add_test(usermetadatawritertest.cpp ../src/usermetadata.cpp
        TEST_NAME "usermetadatawritertest"
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::FileMetaData
    )
endif()

#
# TagLib
#
if(Taglib_FOUND)
    kde_enable_exceptions()
    ecm_add_test(taglibwritertest.cpp ../src/writers/taglibwriter.cpp ${KfileMetaDataAutotest_SRCS}
        TEST_NAME "taglibwritertest"
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::FileMetaData Taglib::Taglib
    )
endif()

if(TARGET Python3::Interpreter AND NOT WIN32)
    configure_file(samplefiles/testexternalwriter/main.py samplefiles/testexternalwriter/main.py)
    configure_file(samplefiles/testexternalwriter/manifest.json samplefiles/testexternalwriter/manifest.json COPYONLY)

    ecm_add_test(externalwritertest.cpp $<$<BOOL:${BUILD_SHARED_LIBS}>:../src/externalwriter.cpp> ${KfileMetaDataAutotest_SRCS}
            TEST_NAME "externalwritertest"
            LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::FileMetaData KF5::I18n
    )
endif()

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0-4) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Do not pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake: the actual issue
    of #1113077 was due to src:libappimage.
  * CI: update/simplify configuration.
  * Drop leftovers of the 'testsuite' autopkgtest.
  * Drop unused debian/meta/ stuff.
  * Disable the support for Mobipocket, as newer versions of
    src:kdegraphics-mobipocket are Qt 6 only:
    - drop the libqmobipocket-dev build dependency
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway:
    - drop patch usermetadatawritertest-skip-if-xattr-is-not-supported.patch,
      no more needed now
  * Drop the unused ${shlibs:Depends} substvar from libkf5filemetadata-doc,
    libkf5filemetadata-data, and libkf5filemetadata-dev.
  * Remove an obsolete maintscript entry.

 -- Pino Toscano <pino@debian.org>  Sat, 11 Oct 2025 13:15:30 +0200

kfilemetadata-kf5 (5.116.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove libpostproc-dev as B-D (Closes: #1114959).

 -- Patrick Franz <deltaone@debian.org>  Fri, 12 Sep 2025 22:20:40 +0200

kfilemetadata-kf5 (5.116.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix build failure with CMake 4 (Closes: #1113077).

 -- Patrick Franz <deltaone@debian.org>  Sat, 06 Sep 2025 12:02:43 +0200

kfilemetadata-kf5 (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update symbols from build for 5.116.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:40:43 +0200

=== debian/control ===
Source: kfilemetadata-kf5
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 5.116.0~),
               libappimage-dev (>= 0.1.10~) [linux-any],
               libattr1-dev,
               libavcodec-dev (>= 7:3.1~),
               libavdevice-dev (>= 3.1~),
               libavformat-dev (>= 7:3.1~),
               libavutil-dev,
               libepub-dev,
               libexiv2-dev (>= 0.26~),
               libkf5archive-dev (>= 5.116.0~),
               libkf5config-dev (>= 5.116.0~),
               libkf5coreaddons-dev (>= 5.116.0~),
               libkf5i18n-dev (>= 5.116.0~),
               libpoppler-qt5-dev (>= 0.12.1),
               libqt5sql5-sqlite:native,
               libswscale-dev (>= 7:3.1~),
               libtag-dev (>= 1.11.1~),
               pkgconf,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kfilemetadata
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kfilemetadata
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kfilemetadata.git

Package: libkf5filemetadata-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: catdoc,
Multi-Arch: same
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the file type plugins.

Package: libkf5filemetadata-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

Package: libkf5filemetadata-dev
Section: libdevel
Architecture: any
Depends: libkf5filemetadata3 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5filemetadata-doc (= ${source:Version}),
Multi-Arch: same
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the development files.

Package: libkf5filemetadata-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for extracting file metadata (documentation)
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5filemetadata3
Section: libs
Architecture: any
Depends: libkf5filemetadata-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Recommends: libkf5filemetadata-bin (= ${binary:Version}),
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## kfilemetadata-kf5 5.116.0+p24.04+vstable+git20250916.0149

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vstable+git20250916.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 01:49:16 +0000

kfilemetadata-kf5 (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:39:38 +1000

kfilemetadata-kf5 (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:25:56 +0000

kfilemetadata-kf5 (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:19:42 +0000

kfilemetadata-kf5 (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:00:48 +0000

kfilemetadata-kf5 (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 07:23:32 +0000

kfilemetadata-kf5 (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 14:29:48 +0000

kfilemetadata-kf5 (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:24:06 +0000

kfilemetadata-kf5 (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:08:13 +0000

kfilemetadata-kf5 (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:08:13 +0000

kfilemetadata-kf5 (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:37:02 +0000

kfilemetadata-kf5 (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:55:22 +0000

kfilemetadata-kf5 (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:50:29 +0000

kfilemetadata-kf5 (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:22:00 +0000

kfilemetadata-kf5 (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:30:26 +0000

kfilemetadata-kf5 (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:52:10 +0000

kfilemetadata-kf5 (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:55:22 +0000

kfilemetadata-kf5 (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:01:58 +0000

kfilemetadata-kf5 (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:16:16 +0000

kfilemetadata-kf5 (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:29:23 +0000

kfilemetadata-kf5 (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 11:58:30 +0000

kfilemetadata-kf5 (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:29:01 +0000

kfilemetadata-kf5 (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Apr 2022 12:07:10 +0000

kfilemetadata-kf5 (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:26:13 +0000

kfilemetadata-kf5 (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jan 2022 15:09:53 +0000

kfilemetadata-kf5 (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:22:44 +0000

kfilemetadata-kf5 (5.88.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 07:33:06 +0000

kfilemetadata-kf5 (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:08:22 +0000

kfilemetadata-kf5 (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:18:42 +0000

kfilemetadata-kf5 (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:25:49 +0000

kfilemetadata-kf5 (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:16:02 +0000

kfilemetadata-kf5 (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:10:20 +0000

kfilemetadata-kf5 (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:12:02 +0000

kfilemetadata-kf5 (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:57:54 +0000

kfilemetadata-kf5 (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:12:58 +0000

kfilemetadata-kf5 (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:04:35 +0000

kfilemetadata-kf5 (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:30:49 +0000

kfilemetadata-kf5 (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:40:44 +0000

kfilemetadata-kf5 (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:27:10 +0000

kfilemetadata-kf5 (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:22:08 +0000

kfilemetadata-kf5 (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:35:40 +0000

kfilemetadata-kf5 (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:49:32 +0000

kfilemetadata-kf5 (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:41:02 +0000

kfilemetadata-kf5 (5.69.0-0neon) bionic; urgency=medium

  * New release



## kfilemetadata-kf5 5.116.0+p24.04+vstable+git20251016.0245

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vstable+git20251016.0245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 02:45:19 +0000

## kfilemetadata-kf5 5.116.0+p24.04+vstable+git20251019.0407

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KFileMetaData VERSION ${KF_VERSION})

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vstable+git20251019.0407-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 04:07:34 +0000

=== debian/control ===
Source: kfilemetadata-kf5
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libappimage-dev,
               libattr1-dev,
               libavcodec-dev (>= 57.48~),
               libavdevice-dev (>= 3.1~),
               libavformat-dev (>= 57.40~),
               libavutil-dev,
               libepub-dev,
               libexiv2-dev (>= 0.21),
               libkf5archive-dev (>= 5.51.0~),
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev (>= 5.51.0~),
               libpoppler-qt5-dev (>= 0.12.1),
               libpostproc-dev,
               libqmobipocket5-dev,
               libqt5sql5-sqlite:native,
               libswscale-dev,
               libtag1-dev (>= 1.11.1~),
               pkg-kde-tools (>= 0.15.18),
               pkgconf,
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kfilemetadata
Vcs-Git: https://invent.kde.org/neon/kde/kfilemetadata.git
Vcs-Browser: https://invent.kde.org/neon/kde/kfilemetadata
Maintainer: Neon CI <neon@kde.org>

Package: libkf5filemetadata-bin
Architecture: any
Depends: catdoc, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the file type plugins.

Package: libkf5filemetadata-data
Architecture: all
Multi-Arch: foreign
Breaks: kde-l10n (<= 4:4.14.0-1),
        libkf5filemetadata2 (<< 5.6.0),
        libkf5filemetadata5 (<< 5.0.0a),
        ${kde-l10n:all}
Replaces: kde-l10n (<= 4:4.14.0-1),
          libkf5filemetadata2 (<< 5.6.0),
          libkf5filemetadata5 (<< 5.0.0a),
          ${kde-l10n:all}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

Package: libkf5filemetadata-dev
Section: libdevel
Architecture: any
Depends: libkf5filemetadata3 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5filemetadata-doc (= ${source:Version})
Conflicts: libkf5filemetadata1-dev
Breaks: baloo-kf5-dev (<< 5.51), libkf5filemetadata-doc (<< 5.61.90-0)
Replaces: libkf5filemetadata-doc (<< 5.61.90-0)
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the development files.

Package: libkf5filemetadata-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for extracting file metadata (documentation)
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5filemetadata3
Section: libs
Architecture: any
Depends: libkf5filemetadata-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: baloo-kf5 (<< 5.51),
        libkf5baloo5 (<< 5.51),
        libkf5filemetadata2 (<< 5.6.0)
Replaces: libkf5filemetadata2 (<< 5.6.0)
Multi-Arch: same
Recommends: libkf5filemetadata-bin (= ${binary:Version})
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/kfilemetadata-([\d.]+)\.tar\.xz

## kfilemetadata-kf5 5.116.0+p24.04+vstable+git20251028.0951

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vstable+git20251028.0951-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:51:23 +0000

## kfilemetadata-kf5 5.116.0+p24.04+vstable+git20251123.1433

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vstable+git20251123.1433-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 14:33:15 +0000

## kfilemetadata-kf5 5.116.0+p24.04+vstable+git20260122.1308

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vstable+git20260122.1308-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 13:08:32 +0000

## kfilemetadata-kf5 5.116.0+p24.04+vstable+git20260131.1257

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vstable+git20260131.1257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 12:57:54 +0000

## kfilemetadata-kf5 5.116.0+p24.04+vunstable+git20251015.0944

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vunstable+git20251015.0944-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:44:55 +0000

## kfilemetadata-kf5 5.116.0+p24.04+vunstable+git20251020.0212

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vunstable+git20251020.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:12:10 +0000

## kfilemetadata-kf5 5.116.0+p24.04+vunstable+git20251028.0856

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vunstable+git20251028.0856-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 08:56:19 +0000

## kfilemetadata-kf5 5.116.0+p24.04+vunstable+git20251124.0753

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vunstable+git20251124.0753-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 07:53:41 +0000

## kfilemetadata-kf5 5.116.0+p24.04+vunstable+git20260201.0546

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vunstable+git20260201.0546-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 05:46:11 +0000
